# FieldType

Package io.milvus.param.collection

## Class FieldType

- java.lang.Object
- - io.milvus.param.collection.FieldType

    public class FieldType
    extends java.lang.Object

Parameters for a collection field.

See Also:
  `CreateCollectionParam`

### Nested Class Summary

Nested Classes
`static class` `FieldType.Builder` Builder for `FieldType` class.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getDimension()`
`int` `getMaxLength()`
`static FieldType.Builder` `newBuilder()`
`java.lang.String` `toString()` Construct a `String` by `FieldType` instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getDimension

    public int getDimension()

#### getMaxLength

    public int getMaxLength()

#### newBuilder

    public static FieldType.Builder newBuilder()

#### toString

    public java.lang.String toString()

Construct a `String` by `FieldType` instance.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  `String`